% lab03_ex_rotation3D
clear all; close all;

% V = [ 1, -1, 2; 3, 1, -1; -1,

ex = [1; 0; 0]; ey = [0; 1; 0]; ez=[0; 0; 1]; % orthogonal, vertical basis vectors 
V = [ ex ey ez ];                             % orthogonal transformation matrix 
a = 45*pi/180;                                % rotation angle

Rx = [ 1   0       0;                % rotation matrix around the axis x
       0   cos(a)  -sin(a);
       0   sin(a)  cos(a) ];
Ry = [ cos(a)   0   -sin(a);         % rotation matrix around the axis y
       0        1   0;
       sin(a)  0   cos(a) ];
Rz = [ cos(a)  -sin(a)  0;           % rotation matrix around the axis z
       sin(a)  cos(a)   0;
       0       0        1 ];
   
Vx = [ Rx*ex Rx*ey Rx*ez ],          % do 3D system rotation around the axis x
Vx = Rx * V,                         % the same as above, in matrix form                
ortho_x = Vx' * Vx, pause            % check orthogonality of the new system

Vy = Ry * V,                         % now rotation around the axis y
ortho_y = Vy' * Vy, pause
Vz = Rz * V,                         % now rotation around the axis z
ortho_z = Vz' * Vz, pause

Vxyz = Rz * Ry * Rx * V,             % now 3 rotations one-by-one
ortho_xyz = Vxyz' * Vxyz, pause
  