function [ v, N ] = myfun( u, ortho, direct )
N = length(u);                   % length of the input signal
if( ortho==1 ) A = eye(N);       % definition of the transformation matrix A
else           A = rand(N,N);    % used during inverse transformation (signal synthesis)
end                              % end of if()
if(direct==1)  A = A'; end       % conjugation and transposition for direct transformation
v = A*u;                         % signal transformation
end